#include <bits/stdc++.h>
using namespace std;
int main()
{
	freopen("bai3_18.inp", "r", stdin);
	freopen("bai3_18.out", "w", stdout);
 	int k;
 	cin>>k;
 	string x;
 	cin>>x;
 	int n= x.length();
 	for(int i=n-k; i<n; i++)
 	{
 		cout<<x[i];
	}
 	for(int i=0; i<n-k; i++)
 	{
 		cout<<x[i];
	}
}

